Page MenuHomePhabricator

<maplink> does not work on "Modern" skin
Closed, ResolvedPublic

Description

Switch skin to modern, and try clicking on any maplinks. The links are not enabled.

It appears the reason is that $( '.mw-kartographer-maplink', '#content' ) fails because there are no tags with content ID in the Modern skin. Instead, there is a mw_content ID, and a number of others.

Event Timeline

Yurik created this task.Nov 7 2016, 2:38 AM
Restricted Application added a project: Discovery. · View Herald TranscriptNov 7 2016, 2:38 AM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald Transcript
Yurik updated the task description. (Show Details)Nov 7 2016, 3:13 AM
Yurik renamed this task from <maplink> does not work on "modern" skin to <maplink> does not work on "Modern" skin.Nov 7 2016, 6:51 AM

Change 320303 had a related patch set uploaded (by JGirault):
Search .mw-body instead of #content to support all the skins

https://gerrit.wikimedia.org/r/320303

JGirault added a comment.EditedNov 7 2016, 10:46 PM

Change 320303 had a related patch set uploaded (by JGirault):
Search .mw-body instead of #content to support all the skins
https://gerrit.wikimedia.org/r/320303

Changed to .mw-body, that should work for all skins:

  • Vector
  • Minerva
  • Cologne Blue
  • Monobook
  • Modern

If not, we can change it to search the entire document, I don't think it's that big of a deal.

Change 320303 merged by jenkins-bot:
Search .mw-body instead of #content to support all the skins

https://gerrit.wikimedia.org/r/320303

Yurik closed this task as Resolved.Nov 8 2016, 5:30 AM
Yurik claimed this task.

Change 320345 had a related patch set uploaded (by Yurik):
Search .mw-body instead of #content to support all the skins

https://gerrit.wikimedia.org/r/320345

Change 320345 merged by jenkins-bot:
Search .mw-body instead of #content to support all the skins

https://gerrit.wikimedia.org/r/320345

Mentioned in SAL (#wikimedia-operations) [2016-11-08T15:23:52Z] <hashar@tin> Synchronized php-1.29.0-wmf.1/extensions/Kartographer/modules/maplink/maplink.js: Search .mw-body instead of #content to support all the skins - T150148 (duration: 00m 47s)